package com.ruoyi.warehouse.check.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 巡检check-items-details对象 t_warehouse_check_items_details
 * 
 * @author dongyongwei
 * @date 2021-07-21
 */
public class TWarehouseCheckItemsDetails extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long fId;

    /** 巡检主表id */
    @Excel(name = "巡检主表id")
    private Long fCheckFid;

    /** 巡检从表id */
    @Excel(name = "巡检从表id")
    private Long fItemFid;

    /** 巡检照片url */
    @Excel(name = "巡检照片url")
    private String fPhotoUrl;

    /** 巡检备注 */
    @Excel(name = "巡检备注")
    private String fRemark;

    /** 制单人 */
    @Excel(name = "制单人")
    private Long fCreateBy;

    /** 制单日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "制单日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fCreateTime;

    /** 更新人 */
    @Excel(name = "更新人")
    private Long fUpdateBy;

    /** 最新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "最新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fUpdateTime;

    /** 删除状态（0正常 1停用） */
    @Excel(name = "删除状态", readConverterExp = "0=正常,1=停用")
    private Integer fDelFlag;

    public void setfId(Long fId) 
    {
        this.fId = fId;
    }

    public Long getfId() 
    {
        return fId;
    }
    public void setfCheckFid(Long fCheckFid) 
    {
        this.fCheckFid = fCheckFid;
    }

    public Long getfCheckFid() 
    {
        return fCheckFid;
    }
    public void setfItemFid(Long fItemFid) 
    {
        this.fItemFid = fItemFid;
    }

    public Long getfItemFid() 
    {
        return fItemFid;
    }
    public void setfPhotoUrl(String fPhotoUrl) 
    {
        this.fPhotoUrl = fPhotoUrl;
    }

    public String getfPhotoUrl() 
    {
        return fPhotoUrl;
    }
    public void setfRemark(String fRemark) 
    {
        this.fRemark = fRemark;
    }

    public String getfRemark() 
    {
        return fRemark;
    }
    public void setfCreateBy(Long fCreateBy) 
    {
        this.fCreateBy = fCreateBy;
    }

    public Long getfCreateBy() 
    {
        return fCreateBy;
    }
    public void setfCreateTime(Date fCreateTime) 
    {
        this.fCreateTime = fCreateTime;
    }

    public Date getfCreateTime() 
    {
        return fCreateTime;
    }
    public void setfUpdateBy(Long fUpdateBy) 
    {
        this.fUpdateBy = fUpdateBy;
    }

    public Long getfUpdateBy() 
    {
        return fUpdateBy;
    }
    public void setfUpdateTime(Date fUpdateTime) 
    {
        this.fUpdateTime = fUpdateTime;
    }

    public Date getfUpdateTime() 
    {
        return fUpdateTime;
    }
    public void setfDelFlag(Integer fDelFlag) 
    {
        this.fDelFlag = fDelFlag;
    }

    public Integer getfDelFlag() 
    {
        return fDelFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("fId", getfId())
            .append("fCheckFid", getfCheckFid())
            .append("fItemFid", getfItemFid())
            .append("fPhotoUrl", getfPhotoUrl())
            .append("fRemark", getfRemark())
            .append("fCreateBy", getfCreateBy())
            .append("fCreateTime", getfCreateTime())
            .append("fUpdateBy", getfUpdateBy())
            .append("fUpdateTime", getfUpdateTime())
            .append("fDelFlag", getfDelFlag())
            .toString();
    }
}
